function ft = truth(xin,t_type,shift)

 ft = zeros(size(xin));
 nx = length(xin);
 
if shift~=0
 xs = xin + shift;   
else
 xs = xin;
end

switch t_type
 % case 1 % zero everywhere so do nothing
  
 case 2 % step function
 % set t to 4 at x>7, t to -4 at x<5, and smoothly varying between
  for i=1:nx
   if xs(i)>7.0
     ft(i)=4.0;
   elseif xs(i)<5.0
     ft(i)=-4.0; 
   else
     xx=0.5*(xs(i)-5.0);
     ft(i)=-4.0+8.0*(3.0*xx*xx-2.0*xx*xx*xx);
   end
  end % for
        
 case 3 % sum of sinusoidal curves
  % set amplitude, frequency of sin, cos components
  s1=2.0; k1=1.0; s2=0.5; k2=2.0; c1=0.5; l1=0.5; c2=0.5; l2=2.0;
  
  ft = s1*sin(k1*xs);
  ft = ft+s2*sin(k2*xs);
  ft = ft+c1*cos(l1*xs);
  ft = ft+c2*cos(l2*xs);     
  
end % switch
           

end 
